@setlocal
@echo off

rem  This sample program is provided AS IS and may be used, executed, copied and modified
rem  without royalty payment by customer
rem  (a) for its own instruction and study,
rem  (b) in order to develop applications designed to run with an IBM WebSphere product,
rem  either for customer's own internal use or for redistribution by customer, as part of such an
rem  application, in customer's own products.
rem  Licensed Materials - Property of IBM
rem  5724-J34 (C) COPYRIGHT International Business Machines Corp. 2008

if exist "%~dp0..\..\bin\setupCmdLine.bat" goto MSE_INSTALL
call "%~dp0..\..\..\..\bin\setupCmdLine.bat"
goto MAIN

:MSE_INSTALL
call "%~dp0..\..\bin\setupCmdLine.bat"
cd /d "%~dp0..\.."
SET OBJECTGRID_HOME="%cd%"

:MAIN

if %1x==x goto error

if not exist %1 (    
   goto error
)

if not defined JAVA_HOME (
   echo Set the JAVA_HOME environment variable.
   goto end
)

if exist %JAVA_HOME%\bin\java.exe (
   set JAVA_EXE="%JAVA_HOME%\bin\java"
) else (
   set JAVA_EXE="%JAVA_HOME%\jre\bin\java"
)

if not defined OBJECTGRID_HOME (
   goto ws
)

cd "%1\bin"
%JAVA_EXE% -jar deployer.jar --offline distribute %OBJECTGRID_HOME%\lib\objectgrid.jar %OBJECTGRID_HOME%\wasce\ceplans\xsplan.xml
%JAVA_EXE% -jar deployer.jar --offline distribute %OBJECTGRID_HOME%\session\lib\sessionobjectgrid.jar %OBJECTGRID_HOME%\wasce\ceplans\sessionplan.xml
%JAVA_EXE% -jar deployer.jar --offline distribute %OBJECTGRID_HOME%\wasce\lib\xsgbean.jar %OBJECTGRID_HOME%\wasce\ceplans\xsgbeanplan.xml
cd %OBJECTGRID_HOME%\bin
goto end

:error
   echo.
   echo Usage   addToCeRepository.bat    [CE_HOME_PATH]
   echo.
   echo It was detected that the required argument was either non-existent
   echo or pointed to an invalid location 

:end
@endlocal