@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@setlocal
@echo off

call "%~dp0setupCmdLine.bat"

if not defined OBJECTGRID_HOME (
   goto ws
)

if exist %JAVA_HOME%\bin\java.exe (
   set JAVA_EXE=%JAVA_HOME%\bin\java
) else (
   set JAVA_EXE=%JAVA_HOME%\jre\bin\java
)

SET PATH=%XS_PATH%

@REM adding environment variable to support client libraries the user might optionally use
if defined CLIENT_AUTH_LIB (
    "%JAVA_EXE%" "-classpath" "%OBJECTGRID_HOME%\lib\objectgrid.jar";"%CLIENT_AUTH_LIB%" %JAVA_ENDORSED_DIRS% -Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true "com.ibm.ws.objectgrid.StopServerClient" %*
) else (
    "%JAVA_EXE%" "-classpath" "%OBJECTGRID_HOME%\lib\objectgrid.jar" %JAVA_ENDORSED_DIRS% -Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true "com.ibm.ws.objectgrid.StopServerClient" %*  
)    

goto end

:ws

if exist %JAVA_HOME%\bin\java.exe (
   set JAVA_EXE=%JAVA_HOME%\bin\java
) else (
   set JAVA_EXE=%JAVA_HOME%\jre\bin\java
)

if not defined WAS_PATH goto next
   SET PATH=%WAS_PATH%
:next

@REM adding environment variable to support client libraries the user might optionally use
if defined CLIENT_AUTH_LIB (
	"%JAVA_EXE%" "-classpath" "%WAS_CLASSPATH%" %WAS_LOGGING% %CONSOLE_ENCODING% "-Dws.ext.dirs=%WAS_EXT_DIRS%;%WAS_HOME%\plugins;%CLIENT_AUTH_LIB%" "-Dwas.install.root=%WAS_HOME%" "-Duser.install.root=%USER_INSTALL_ROOT%" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.objectgrid.StopServerClient %*
) else (
	"%JAVA_EXE%" "-classpath" "%WAS_CLASSPATH%" %WAS_LOGGING% %CONSOLE_ENCODING% "-Dws.ext.dirs=%WAS_EXT_DIRS%;%WAS_HOME%\plugins" "-Dwas.install.root=%WAS_HOME%" "-Duser.install.root=%USER_INSTALL_ROOT%" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.objectgrid.StopServerClient %*	
)

:end
@endlocal